Apache Tomcat 6.0.53

## org.apache.catalina.session
Class StoreBase

    java.lang.Object
      org.apache.catalina.session.StoreBase

All Implemented Interfaces:
  Lifecycle, Store

Direct Known Subclasses:
  FileStore, JDBCStore

    public abstract class StoreBase

extends java.lang.Object
implements Lifecycle, Store

Abstract implementation of the Store interface to support most of the functionality required by a Store.

Author:
  Bip Thelin

Field Summary
`protected static java.lang.String` | `info` The descriptive information about this implementation.
`protected LifecycleSupport` | `lifecycle` The lifecycle event support for this component.
`protected Manager` | `manager` The Manager with which this JDBCStore is associated.
`protected static StringManager` | `sm` The string manager for this package.
`protected boolean` | `started` Has this component been started yet?
`protected static java.lang.String` | `storeName` Name to register for this Store, used for logging.
`protected java.beans.PropertyChangeSupport` | `support` The property change support for this component.

Fields inherited from interface org.apache.catalina.Lifecycle
`AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, DESTROY_EVENT, INIT_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

Constructor Summary
`StoreBase()`

Method Summary
`void` | `addLifecycleListener(LifecycleListener listener)` Add a lifecycle event listener to this component.
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)` Add a property change listener to this component.
`LifecycleListener[]` | `findLifecycleListeners()` Get the lifecycle listeners associated with this lifecycle.
`java.lang.String` | `getInfo()` Return the info for this Store.
`Manager` | `getManager()` Return the Manager with which the Store is associated.
`protected java.io.ObjectInputStream` | `getObjectInputStream(java.io.InputStream is)` Create the object input stream to use to read a session from the store.
`java.lang.String` | `getStoreName()` Return the name for this Store, used for logging.
`void` | `processExpires()` Called by our background reaper thread to check if Sessions saved in our store are subject of being expired.
`void` | `removeLifecycleListener(LifecycleListener listener)` Remove a lifecycle event listener from this component.
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)` Remove a property change listener from this component.
`void` | `setManager(Manager manager)` Set the Manager with which this Store is associated.
`void` | `start()` Prepare for the beginning of active use of the public methods of this component.
`void` | `stop()` Gracefully terminate the active use of the public methods of this component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.catalina.Store
`clear, getSize, keys, load, remove, save`

Field Detail

### info

    protected static java.lang.String info

  The descriptive information about this implementation.

### storeName

    protected static java.lang.String storeName

  Name to register for this Store, used for logging.

### started

    protected boolean started

  Has this component been started yet?

### lifecycle

    protected LifecycleSupport lifecycle

  The lifecycle event support for this component.

### support

    protected java.beans.PropertyChangeSupport support

  The property change support for this component.

### sm

    protected static final StringManager sm

  The string manager for this package.

### manager

    protected Manager manager

  The Manager with which this JDBCStore is associated.

Constructor Detail

### StoreBase

    public StoreBase()

Method Detail

### getInfo

    public java.lang.String getInfo()

  Return the info for this Store.

  Specified by:
    `getInfo` in interface `Store`

### getStoreName

    public java.lang.String getStoreName()

  Return the name for this Store, used for logging.

### setManager

    public void setManager(Manager manager)

  Set the Manager with which this Store is associated.

  Specified by:
    `setManager` in interface `Store`
  Parameters:
    `manager` - The newly associated Manager

### getManager

    public Manager getManager()

  Return the Manager with which the Store is associated.

  Specified by:
    `getManager` in interface `Store`

### addLifecycleListener

    public void addLifecycleListener(LifecycleListener listener)

  Add a lifecycle event listener to this component.

  Specified by:
    `addLifecycleListener` in interface `Lifecycle`
  Parameters:
    `listener` - The listener to add

### findLifecycleListeners

    public LifecycleListener[] findLifecycleListeners()

  Get the lifecycle listeners associated with this lifecycle. If this Lifecycle has no listeners registered, a zero-length array is returned.

  Specified by:
    `findLifecycleListeners` in interface `Lifecycle`

### removeLifecycleListener

    public void removeLifecycleListener(LifecycleListener listener)

  Remove a lifecycle event listener from this component.

  Specified by:
    `removeLifecycleListener` in interface `Lifecycle`
  Parameters:
    `listener` - The listener to add

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Add a property change listener to this component.

  Specified by:
    `addPropertyChangeListener` in interface `Store`
  Parameters:
    `listener` - a value of type 'PropertyChangeListener'

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Remove a property change listener from this component.

  Specified by:
    `removePropertyChangeListener` in interface `Store`
  Parameters:
    `listener` - The listener to remove

### processExpires

    public void processExpires()

  Called by our background reaper thread to check if Sessions saved in our store are subject of being expired. If so expire the Session and remove it from the Store.

### getObjectInputStream

    protected java.io.ObjectInputStream getObjectInputStream(java.io.InputStream is)
                                                      throws java.io.IOException

  Create the object input stream to use to read a session from the store. Sub-classes must have set the thread context class loader before calling this method.

  Parameters:
    `is` - The input stream provided by the sub-class that will provide the data for a session
  Returns:
    An appropriately configured ObjectInputStream from which the session can be read.
  Throws:
    `java.io.IOException` - if a problem occurs creating the ObjectInputStream

### start

    public void start()
               throws LifecycleException

  Prepare for the beginning of active use of the public methods of this component. This method should be called after `configure()`, and before any of the public methods of the component are utilized.

  Specified by:
    `start` in interface `Lifecycle`
  Throws:
    `LifecycleException` - if this component detects a fatal error that prevents this component from being used

### stop

    public void stop()
              throws LifecycleException

  Gracefully terminate the active use of the public methods of this component. This method should be the last one called on a given instance of this component.

  Specified by:
    `stop` in interface `Lifecycle`
  Throws:
    `LifecycleException` - if this component detects a fatal error that needs to be reported

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.